#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("FM.INP");
	ofstream f2("FM.OUT");
	int n,m;
	f1>>n>>m;
	int i;
	int a[n];
	int p[200000];
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	for(i=0;i<200000;i++)
	{
		p[i]=0;
	}
	f1.close();
	sort(a,a+n);
	for(i=0;i<n;i++)
	{
		for(int j=n-1;j>=0;j--)
		{
			p[a[i]+a[j]]++;
		}
	}
	for(i=0;i<200000;i++)
	{
		//p[i]/=2;
	}
	int d=0;
	for(i=1;i<=m;i++)
	{
		d+=p[i];
	}
	f2<<d;
	return 0;
}
